Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_CosEC_ProxyPushSupplier_i Class Reference

TAO_Notify_CosEC_ProxyPushSupplier_i. More...

`#include <Notify_ProxyPushSupplier_i.h>`

Inheritance diagram for TAO_Notify_CosEC_ProxyPushSupplier_i:

[legend]
Collaboration diagram for TAO_Notify_CosEC_ProxyPushSupplier_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_CosEC_ProxyPushSupplier_i (TAO_Notify_ConsumerAdmin_i *consumeradmin)
| Constructor. More...
| ~TAO_Notify_CosEC_ProxyPushSupplier_i (void)
| Destructor. More...
void | init (ACE_ENV_SINGLE_ARG_DECL)
| Init. More...
virtual void | disconnect_push_supplier (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Ends the event communication and disposes this object. More...
virtual void | connect_push_consumer (CosEventComm::PushConsumer_ptr push_consumer ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError)
| Connects the <push_consumer> to the Event Channel. More...
## Protected Attributes
TAO_Notify_ProxyPushSupplier_i | notify_proxy_
| The proxy that we delegate too. More...

## Detailed Description

TAO_Notify_CosEC_ProxyPushSupplier_i.

implements CosEventChannelAdmin::ProxyPushSupplier by delegating to TAO_Notify_ProxyPushSupplier_i.

## Constructor & Destructor Documentation

TAO_Notify_CosEC_ProxyPushSupplier_i::TAO_Notify_CosEC_ProxyPushSupplier_i | ( | TAO_Notify_ConsumerAdmin_i * | consumer_admin | ) |

| Constructor.

TAO_Notify_CosEC_ProxyPushSupplier_i::~TAO_Notify_CosEC_ProxyPushSupplier_i | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Notify_CosEC_ProxyPushSupplier_i::connect_push_consumer | ( | CosEventComm::PushConsumer_ptr push_consumer | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError)`[virtual]`

| Connects the <push_consumer> to the Event Channel.

void TAO_Notify_CosEC_ProxyPushSupplier_i::disconnect_push_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Ends the event communication and disposes this object.

void TAO_Notify_CosEC_ProxyPushSupplier_i::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Init.

## Member Data Documentation

TAO_Notify_ProxyPushSupplier_i TAO_Notify_CosEC_ProxyPushSupplier_i::notify_proxy_`[protected]`

| The proxy that we delegate too.

The documentation for this class was generated from the following files:

- Notify_ProxyPushSupplier_i.h
- Notify_ProxyPushSupplier_i.cpp